%define LANG ko
%define name man-pages-%LANG
%define version 20050219
%define release %mkrel 6

Summary: Korean(Hangul) Man Pages
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System/Internationalization
URL: http://man.kldp.org/
Source: man-pages-%LANG-%version.tar.bz2
Buildroot: %_tmppath/%name-root
BuildRequires: man => 1.6
Requires: locales-%LANG, man => 1.6
Autoreqprov: false
BuildArchitectures: noarch

%description
Korean translation of the official manpages from LDP and
another useful manpages from various packages.
They're maintained by the Korean Manpage Project
<http://man.kldp.org>.

%prep
%setup -c %{name}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_mandir/%LANG/

for i in man?;do
        cp -adpvrf $i $RPM_BUILD_ROOT/%_mandir/%LANG/
done


# those files conflict whith rpm package:
rm $RPM_BUILD_ROOT/%_mandir/%LANG/man8/rpm{2cpio,}.8

# those files conflict whith man package:
rm $RPM_BUILD_ROOT/%_mandir/%LANG/man{1/man.1,1/whatis.1,5/man.config.5}

LANG=%LANG DESTDIR=$RPM_BUILD_ROOT /usr/sbin/makewhatis $RPM_BUILD_ROOT/%_mandir/%LANG

mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
cat > $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%LANG.cron << EOF
#!/bin/bash
LANG=%LANG /usr/sbin/makewhatis %_mandir/%LANG
exit 0
EOF
chmod a+x $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%LANG.cron

mkdir -p  $RPM_BUILD_ROOT/var/cache/man/%LANG

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,man,755)
%dir %_mandir/%LANG
%dir /var/cache/man/%LANG
%config(noreplace) /var/cache/man/%LANG/whatis
/%_mandir/%LANG/man*
%config(noreplace) %attr(755,root,root)/etc/cron.weekly/makewhatis-%LANG.cron


%changelog
* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 20050219-6mdv2009.1
+ Revision: 351581
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 20050219-5mdv2009.0
+ Revision: 223191
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 20050219-4mdv2008.1
+ Revision: 152966
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Jun 02 2007 Funda Wang <fundawang@mandriva.org> 20050219-2mdv2008.0
+ Revision: 34679
- Fix conflict with man 1.6e

* Thu May 31 2007 Adam Williamson <awilliamson@mandriva.org> 20050219-1mdv2008.0
+ Revision: 33474
- rebuild for new era; drop /var/catman (wildly obsolete)
- new version 20050219


* Tue Feb 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.48-4mdk
- add conflict tag in order to force package ordering so that updates get
  performed smoother
- fix potential conflict with man (CFLO, not CFL)

* Sun Feb 15 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.48-3mdk
- fix conflict with latest man

* Thu May 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.48-2mdk
- fix conflict with rpm

* Mon Jan 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.48-1mdk
- new release

* Wed May 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1-16mdk
- use new man-pages-LG template
    - don't rebuild whatis on install since
      - we've already build in package
      - cron will rebuild it nightly and so add other package french man pages
    - adapt to new man-pages-LG template
    - requires man => 1.5j-8mdk for new man-pages framework
    - remove old makewhatis.ko since default makewhatis is now able to parse
      non english man pages
    - use new std makewhatis to build whatis in spec and in cron entry 
    - whatis db goes into /var/cache/man (so enable ro /usr)
    - standard {Build,}Requires/buildroot/prereq/arc/provides/obsoletes

* Mon Mar 25 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1-15mdk
- remove old pre-spec_helper comments
- 20010901 update
- license is now GPL
- fix description
- fix tarball without man-pages-ko directory
- add the url
- fix: all sections're filled now
- remove all comments warning than anybody was able to find where should
  come the updates
- fix %%clean to be forced

* Thu Mar 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1-14mdk
- fix permission on /usr/share/man/id/*
- provides manpages-%%LANG
- don't overwrite crontab if user altered it

* Wed Mar 28 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1-13mdk
- fix tmppath
- major update from debian
- fix makewhatis sp that it's works

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1-12mdk
- BM

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1-11mdk
- use mandir macro in order to be ok when switching to /usr/share/man as
  following FHS.

* Fri Mar 31 2000 Denis Havlik <denis@mandrakesoft.com> 1.1-10mdk
- convert to new group scheme
- convert books-ja.gif -> .xpm

* Fri Nov 19 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- moved makewhatis.ko from /usr/local/sbin to /usr/sbin

* Tue Jul 20 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- included some nice improvements from man-pages-pl

* Wed Jul 07 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- Adapted the rpm I had made to Mandrake style

